From f2bacee194ce58aabf5a08752556177bda6ab570 Mon Sep 17 00:00:00 2001
From: Mart Raudsepp <leio@gentoo.org>
Date: Sun, 30 Aug 2020 10:35:13 +0300
Subject: [PATCH] tests: Skip metar tests when METAR_SOURCES couldn't be
 resolved

---
 libgweather/test_libgweather.c | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/libgweather/test_libgweather.c b/libgweather/test_libgweather.c
index 8a21911..ef401f8 100644
--- a/libgweather/test_libgweather.c
+++ b/libgweather/test_libgweather.c
@@ -419,6 +419,12 @@ test_metar_weather_stations (void)
     msg = soup_message_new ("GET", METAR_SOURCES);
     session = soup_session_new ();
     soup_session_send_message (session, msg);
+    if (msg->status_code == SOUP_STATUS_CANT_RESOLVE) {
+        g_test_skip ("Could not resolve " METAR_SOURCES " - network sandboxed?");
+        g_object_unref (session);
+        g_object_unref (msg);
+        return;
+    }
     g_assert (SOUP_STATUS_IS_SUCCESSFUL (msg->status_code));
     g_object_unref (session);
     g_assert_nonnull (msg->response_body);
-- 
2.20.1

